com.explodingpixels.border

## Class FocusStateMatteBorder

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.border.EmptyBorder
    - - javax.swing.border.MatteBorder
      - - com.explodingpixels.border.FocusStateMatteBorder

All Implemented Interfaces:
  Serializable, Border

    public class FocusStateMatteBorder
    extends MatteBorder

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class javax.swing.border.MatteBorder

`color, tileIcon`

### Fields inherited from class javax.swing.border.EmptyBorder

`bottom, left, right, top`

### Constructor Summary

Constructors
Constructor and Description
`FocusStateMatteBorder(int top, int left, int bottom, int right, Color focusedColor, Color unfocusedColor, JComponent componentToTrackFocusOf)`

### Method Summary

### Methods inherited from class javax.swing.border.MatteBorder

`getBorderInsets, getBorderInsets, getMatteColor, getTileIcon, isBorderOpaque, paintBorder`

### Methods inherited from class javax.swing.border.AbstractBorder

`getBaseline, getBaselineResizeBehavior, getBorderInsets, getInteriorRectangle, getInteriorRectangle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FocusStateMatteBorder

    public FocusStateMatteBorder(int top,
                         int left,
                         int bottom,
                         int right,
                         Color focusedColor,
                         Color unfocusedColor,
                         JComponent componentToTrackFocusOf)